Package org.drinkless.tdlib

# Class TdApi.EditProxy

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.AddedProxy>
org.drinkless.tdlib.TdApi.EditProxy

Enclosing class:
  `TdApi`

public static class TdApi.EditProxy extends TdApi.Function<TdApi.AddedProxy>
Edits an existing proxy server for network requests. Can be called before authorization.

Returns `AddedProxy`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `String`
  `comment`
  New comment for the proxy.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `enable`
  Pass true to immediately enable the proxy.
  `TdApi.Proxy`
  `proxy`
  The new information about the proxy.
  `int`
  `proxyId`
  Proxy identifier.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EditProxy()`
  Default constructor for a function, which edits an existing proxy server for network requests.
  `EditProxy(int proxyId, TdApi.Proxy proxy, boolean enable, String comment)`
  Creates a function, which edits an existing proxy server for network requests.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### proxyId

    public int proxyId
    Proxy identifier.

  - ### proxy

    public TdApi.Proxy proxy
    The new information about the proxy.

  - ### enable

    public boolean enable
    Pass true to immediately enable the proxy.

  - ### comment

    public String comment
    New comment for the proxy.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### EditProxy

    public EditProxy()
    Default constructor for a function, which edits an existing proxy server for network requests. Can be called before authorization.

    Returns `AddedProxy`

  - ### EditProxy

    public EditProxy(int proxyId, TdApi.Proxy proxy, boolean enable, String comment)
    Creates a function, which edits an existing proxy server for network requests. Can be called before authorization.

    Returns `AddedProxy`

    Parameters:
      `proxyId` - Proxy identifier.
      `proxy` - The new information about the proxy.
      `enable` - Pass true to immediately enable the proxy.
      `comment` - New comment for the proxy.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.AddedProxy>`
    Returns:
      this.CONSTRUCTOR